<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.5): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* =============================================================================== *
* Software Version: 2.9.00  
* admin.php: last changed 13/04/2010 by Fred Stuurman (fc.stuurman@gmail.com)
*$Id: admin.php,v 1.1 2006/10/03 08:54:49 fstuurman Exp $
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");

print "<li class='active'><a href=\"index.php?option=modulemanager&module=$module\">$modulename</a></li>\n";

if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");

load_language('', 'dgs_search'); //load language file

print "<span class=\"sas_module_title\">$modulename " . $sas_lang['configuration'] . "<br></span>";

switch ($modoption) // start of switch
{

	case save_config:

		if (IsSet ($_POST['pageid']))
		{
			$pageid = $_POST['pageid']; //array
		}
		if (IsSet ($_POST['sectionid']))
		{
			$sectionid = $_POST['sectionid']; //array
		}
		if (IsSet ($_POST['active']))
		{
			$active = $_POST['active']; //array
		}
		if (IsSet ($_POST['pageid_p']))
		{
			$pageid_p = $_POST['pageid_p'];	//array
		}
		if (IsSet ($_POST['sectionid_p']))
		{
			$sectionid_p = $_POST['sectionid_p']; //array
		}
		if (IsSet ($_POST['active_p']))
		{
			$active_p = $_POST['active_p']; 	//array
		}
		if (IsSet ($_POST['max']))
		{
			$max = sanitize($_POST['max'], 5 , 'I'); //sanitize, 5 pos max
		}
		if (IsSet ($_POST['invisible']))
		{
			$invisible = sanitize($_POST['invisible'], 1 , 'I'); //sanitize, 1 pos max
		}
	
		if (IsSet ($_POST['welcome']))
		{
			$welcome = sanitize($_POST['welcome'], 500 , 'H'); //sanitize the input, leave html tags in tact
		}
	
		for ($i = 0; $i < count($pageid); $i++)
		{
			$section = intval($sectionid[$i]);
			$page = intval($pageid[$i]);
			$section_p = intval($sectionid_p[$i]);
			$page_p = intval($pageid_p[$i]);
			$k = $i + 1 ;	//the search_module_ config_keys start to count at 1 
			mysqli_query($db,"UPDATE $table_configuration SET config_value = '$section,$page,$section_p,$page_p' WHERE config_key = 'search_module_pageid$k'");
			$query = "SELECT config_value FROM $table_configuration WHERE config_key = 'search_module_name$k'";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$search_options = substr(mysqli_result($result, 0), 0, -4);
			
			if ($active[$i] == 1)
			{
				$act = 1;
			}
			else
			{
				$act = 0;
			}
	
			if ($active_p[$i] == 1)
			{
				$act_p = 1;
			}
			else
			{
				$act_p = 0;
			}
			mysqli_query($db,"UPDATE $table_configuration SET config_value='$search_options,$act,$act_p' WHERE config_key = 'search_module_name$k'");
	
		}
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$welcome' WHERE config_key = 'search_module_welcome'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$max' WHERE config_key = 'search_module_results'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$invisible' WHERE config_key = 'search_module_invisible'");
		print "<p><b>" . $sas_lang['search_module_config_saved'] . "</b></span>";
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";

	break;

	default:
		
		$welcome = $sas_config['search_module_welcome'];
		$max = $sas_config['search_module_results'];
		$invisible = $sas_config['search_module_invisible'];
		
		print $sas_lang['search_module_intro'] ;
		print "<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_config\"><br>" . $sas_lang['gbook_module_welcome_text'] . "<br>";

		print "<table cellspacing=\"2\" cellpadding=\"2\" bgcolor=\"#CECECE\">";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\"><b>" . $sas_lang['search_module_welcome_text'] . ":</b>&nbsp;</td></tr>";
		print "<tr><td colspan=\"2\" width=\"620\" bgcolor=\"#F7F7F7\">";
			   
		// call basic ckeditor for welcome text
		small_editor('welcome', $welcome, 'editor1');
		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" .$sas_lang['search_module_invisible'] . ":</td>
				<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
		
		if ($invisible == 1)
		{
			print "<input type=\"radio\" value=\"1\" name=\"invisible\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
			print "<input type=\"radio\" name=\"invisible\" value=\"0\"></td></tr>";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"invisible\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
			print "<input type=\"radio\" name=\"invisible\" value=\"0\" checked></td></tr>";
		}
		
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['search_module_results_per_page'] . ":</td>
				<td class=\"sas_row_color_even\"></span><input type=text size=3 class=\"textfield\" name=\"max\" value=\"$max\">&nbsp;</td></tr>";
	
		$result = mysqli_query($db,"SELECT config_value FROM $table_configuration WHERE config_key LIKE 'search_module_name%'");
		$result1 = mysqli_query($db,"SELECT config_value FROM $table_configuration WHERE config_key LIKE 'search_module_pageid%'");
		$i = 0;
		
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\"><table width=\"600\">
				<tr><td>&nbsp;</td><td colspan=\"3\" align=\"center\"><b>".$sas_lang['public_area'] .":</b></td>
				<td colspan=\"3\" align=\"center\"><b>".$sas_lang['protected_area'].":</b></td></tr>
				<tr><td><b>" . $sas_lang['module_name'] . "</b></span></td>       
				<td align=\"right\"><b>" . $sas_lang['search_module_sectionid'] . ":</b></td>
				<td align=\"right\"><b>" . $sas_lang['search_module_pageid'] . ":</b></td>
				<td align=\"right\"><b>" . $sas_lang['search_module_active'] . ":</b></td>
				<td align=\"right\"><b>" . $sas_lang['search_module_sectionid'] . ":</b></td>
				<td align=\"right\"><b>" . $sas_lang['search_module_pageid'] . ":</b></td>        
				<td align=\"right\"><b>" . $sas_lang['search_module_active'] . ":</b></td></tr>
				<tr><td colspan=\"7\">&nbsp;</td></tr>";
				
		while ($mod_list = mysqli_fetch_array($result))
		{
			$search_modules = explode(",", $mod_list[0]);
			$location = $search_modules[0];
			$module_table = $dbprefix . $search_modules[1];
			//skip $search_modules[2] is 0 or 1 for using the public fields yes or no
			$search_active = $search_modules[3];
			$search_active_p = $search_modules[4];
			$result2 = mysqli_query($db,"SELECT name FROM $table_modules WHERE location = '".$location."'");
		
			if (mysqli_num_rows($result2) > 0)
			{
				$module_name = mysqli_result($result2, 0);
			}
			else
			{
				$module_name = "-";
			}
		
			$pag_sec = explode(",", mysqli_result($result1, $i));
			$sectionid = $pag_sec[0];
			$pageid = $pag_sec[1];
			$sectionid_p = $pag_sec[2];
			$pageid_p = $pag_sec[3];
			print "<tr><td><b>" . $module_name . "</b></span></td>          
					   <td align=\"right\"><input type=\"text\" size=3 class=\"textfield\" name=\"sectionid[$i]\" value=\"$sectionid\"></td>
					   <td align=\"right\"><input type=\"text\" size=3 class=\"textfield\" name=\"pageid[$i]\" value=\"$pageid\"></td>";
			if ($search_active == 1)
			{
				print "<td align=\"right\"><input type=\"checkbox\" name=\"active[$i]\" value=1 checked></td>";
			}
			else
			{
				print "<td align=\"right\"><input type=\"checkbox\" name=\"active[$i]\" value=1 ></td>";
			}
			print "<td align=\"right\"><input type=\"text\" size=3 class=\"textfield\" name=\"sectionid_p[$i]\" value=\"$sectionid_p\"></td>
					 <td align=\"right\"><input type=\"text\" size=3 class=\"textfield\" name=\"pageid_p[$i]\" value=\"$pageid_p\"></td>
					   ";
			if ($search_active_p == 1)
			{
				print "<td align=\"right\"><input type=\"checkbox\" name=\"active_p[$i]\" value=1 checked></td></tr>";
			}
			else
			{
				print "<td align=\"right\"><input type=\"checkbox\" name=\"active_p[$i]\" value=1 ></td></tr>";
			}
		
			$i++;
		}
		
		print "</table></td></tr>";
		print "</table>";
		
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "\n&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;
}

include ("interface/footer.inc.php");
?>