<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.7.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Newsletter module: 
* admin.php: last changed 26/08/2008 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* Multiple file upload applet postlet used is from http://sourceforge.net/projects/postlet/
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['newsletter_id']))
{
	$newsletter_id = intval($_GET['newsletter_id']);
}
if (IsSet ($_GET['edition']))
{
	$edition = intval($_GET['edition']);
}

$content = sql_addslashes($_POST['content']);
$contribute_text = sql_addslashes($_POST['contribute_text']);
$contribute_thanks = sql_addslashes($_POST['contribute_thanks']);
$register_text = sql_addslashes($_POST['register_text']);
$decline_text = sql_addslashes($_POST['decline_text']);
$title = sql_addslashes($_POST['title']);
//we need to strip slashes for the str_replace to work
$footer = stripslashes($_POST['footer']);
$footer = str_replace('src="/'.$sas_config['user_path'].'/media', 'src="'.$sas_config['url'].$cmsdir.'/media', $footer);
//we need to strip slashes for the str_replace to work
$header = stripslashes($_POST['header']);
$header = str_replace('src="/'.$sas_config['user_path'].'/media', 'src="'.$sas_config['url'].$cmsdir.'/media', $header);
$header = addslashes($header);
$footer = addslashes($footer);
$title = sql_addslashes($_POST['title']);
$template = sql_addslashes($_POST['template']);

load_language('', 'sn_newsletter'); //load language file

//set the newsletter table names
$table_newsletter_content = $dbprefix . "m_newsletters";
$table_newsletters = $dbprefix . "m_newsletter_cat";
$table_email_adresses = $dbprefix . "m_newsletter_emails";

mysqli_query($db,"UPDATE $table_newsletter_content SET locked_by = NULL WHERE locked_by = $_SESSION[userid]");
//clear locked_by newsletterss which might be in use by the user

$query = "SELECT email FROM $table_users WHERE id = '$userid'"; //get the email of the userid logged in         
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
$owner_email = mysqli_result($result, 0);
unset ($query);
unset ($result);

$query = "SELECT config_value FROM $table_configuration WHERE config_key = 'newsletter_admin_email'";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
$admin_email = mysqli_result($result, 0);
unset ($query);
unset ($result);

if ($admin_email != $owner_email)
{
	$query = "SELECT id FROM $table_newsletters WHERE email LIKE '%$owner_email%'"; // getting the newsletter id of the user logged in
}
else
{
	$query = "SELECT id FROM $table_newsletters";
	$type_of_user = "admin";
}

$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
$i = 0;
while ($row = mysqli_fetch_array($result)) //array with newsletter ids which
{
	$letter_ids[$i] = $row[0]; //the user is responsible for.
	$i++;
}
unset ($query);
unset ($result);

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");

$class = "";
if(($modoption == "list_news_cat") AND ($suboption != "archive"))$class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module\">" . $sas_lang['newsletter_module_newsletters'] . "</a></li>\n";
$class = "";
if($suboption == "archive") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&suboption=archive\">" . $sas_lang['newsletter_module_archive'] . "</a></li>\n";
$class = "";
if(($modoption == "list_users") AND ($suboption != "not_active"))$class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=list_users\">" . $sas_lang['newsletter_module_subscribers'] . "</a></li>\n";

$class = "";
if(($modoption == "list_users") AND ($suboption == "not_active"))$class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=list_users&suboption=not_active\">" . $sas_lang['newsletter_module_new_subscribers'] . "</a></li>\n";
$class = "";
if($modoption == "search_user") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=search_user\">" . $sas_lang['newsletter_module_search'] . "</a></li>\n";
if ($type_of_user == "admin")
{
	$class = "";
	if(($modoption == "import") AND ($suboption != "archive"))$class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=import\">" . $sas_lang['newsletter_module_import'] . "</a></li>\n";
	$class = "";
	if(($modoption == "config") AND ($suboption != "archive"))$class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=config\">" . $sas_lang['newsletter_module_config'] . "</a></li>\n";
	
}
if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}

include ("interface/menuend.inc.php");
print "<span class=\"sas_module_title\">$modulename</span><p>"
	. $sas_lang['newsletter_module_intro'] . "<p>";

if ((count($letter_ids) == 0) and ($type_of_user != "admin") or (trim($owner_email) == ""))
{
	print "<span class=\"error\">" . $sas_lang['newsletter_module_email_no_access'] . "</span>";
	exit;
}

switch ($modoption) // start of switch
{
	default:
	
		include("modules/sn_newsletter/list_newsletters.php");
	
	break;
	
	case save_newsletter_cat:
	
		include("modules/sn_newsletter/save_newsletter_cat.php");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "&newsletter_id=$newsletter_id'</script>";
	
	break;
	
	case delete_news_letter_cat:
	
		mysqli_query($db,"DELETE FROM $table_newsletter_content WHERE newsletter_id = '$newsletter_id'");
		mysqli_query($db,"DELETE FROM $table_newsletters WHERE id = '$newsletter_id'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "'</script>";
	
	break;
	
	case edit_newsletter_cat:
	
		include("modules/sn_newsletter/edit_newsletter_cat.php");
	
	break;
	
	case new_newsletter_cat:
	
		include("modules/sn_newsletter/new_newsletter_cat.php");
		
	break;
	
	case edit_newsletter:
	
		include("modules/sn_newsletter/edit_newsletter.php");
	
	break;
	
	case delete_newsletter:
	
		mysqli_query($db,"DELETE FROM $table_newsletter_content WHERE id = '$edition'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "&newsletter_id=$newsletter_id'</script>";
	
	break;
	
	case new_newsletter:
	
		include("modules/sn_newsletter/new_newsletter.php");
	
	break;
	
	case save_newsletter:
	
		mysqli_query($db,"UPDATE $table_newsletter_content SET content = '$content', locked_by = NULL WHERE id='$edition'") ;
		//insert the site url for the pictures in the content
		$from = 'src="/'.$userpath.'/media/';
		$to = 'src="'.$sas_config['url'].$cmsdir.'/media/';
		mysqli_query($db,"UPDATE $table_newsletter_content SET content = REPLACE(content, '$from' , '$to') WHERE id='$edition'") ;
		//do the same for href's
		$from = 'href="/'.$userpath.'/media/';
		$to = 'href="'.$sas_config['url'].$userpath.'/media/';
		mysqli_query($db,"UPDATE $table_newsletter_content SET content = REPLACE(content, '$from' , '$to') WHERE id='$edition'") ;
		//do the same for internal links
		$from = 'href="index.php?';
		$to = 'href="'.$sas_config['url'].'index.php?';
		mysqli_query($db,"UPDATE $table_newsletter_content SET content = REPLACE(content, '$from' , '$to') WHERE id='$edition'") ;
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "&newsletter_id=$newsletter_id'</script>";
		
	break;
		
	case send_newsletter:
	
		include("modules/sn_newsletter/send_newsletter.php");
		//print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "&newsletter_id=$newsletter_id'</script>";
	
	break;
	
	case publish:
	
		include("modules/sn_newsletter/publish.php");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "&newsletter_id=$newsletter_id'</script>";
	
	break;
	
	case set_archive:
	
		if (IsSet ($_GET[archive]))
		{
			$archive = intval($_GET['archive']);
		}
		mysqli_query($db,"UPDATE $table_newsletter_content SET archive = '".$archive."' WHERE id = '".$edition."'");
		
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "&suboption=$suboption&newsletter_id=$newsletter_id'</script>";
	
	break;
	
	case activate:
	
		if (IsSet ($_GET[email]))
		{
			$email = sanitize($_GET[email], 60, 'S');
		}
		mysqli_query($db,"UPDATE $table_email_adresses SET enable='2' WHERE email='$email'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "&modoption=list_users&suboption=not_active'</script>";
	
		
	break;
	
	case list_users:
	
		include("modules/sn_newsletter/list_users.php");
	
	break;
	
	case edit_user:
	
		include("modules/sn_newsletter/edit_user.php");
	
	break;
	
	case delete_user:
	
		if (IsSet ($_GET[delete_user]))
		{
			$delete_user = $_GET[delete_user];
		}
		mysqli_query($db,"DELETE FROM $table_email_adresses WHERE id = '$delete_user'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "&modoption=list_users'</script>";
		break;
		
	case save_user:
	
		include("modules/sn_newsletter/save_user.php");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "&modoption=list_users'</script>";
	
	break;
	
	case save_newsletter_opt:
	
			if ($suboption == "new")
			{
				$query = "SELECT template, public FROM $table_newsletters WHERE id = '$newsletter_id'"; // getting the newsletter template
				$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
				$template = mysqli_result($result, 0, 0); //get template html used for the new issue
				$public = mysqli_result($result, 0, 1);
		
				$date1 = date('Y-m-d');
				mysqli_query($db,"INSERT INTO $table_newsletter_content (id, title, archive, published, newsletter_id, date, header, footer, content, public)
							VALUES (NULL, '$title', 0, 0, '$newsletter_id', '$date1', '$header', '$footer', '$template', '$public')");
			}
			else
			{
				if (IsSet ($_POST['date']))
				{
					$date = convert_date($_POST['date']);
				}
				mysqli_query($db,"UPDATE $table_newsletter_content SET title='$title',header='$header',footer='$footer',date='$date' WHERE id='$edition'");
			}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "&newsletter_id=$newsletter_id'</script>";
	
	break;
	
	case edit_newsletter_opt:
	
		include("modules/sn_newsletter/edit_newsletter_opt.php");
	
	break;
	
	case save_config:
	
	if (IsSet ($_POST['email']))
	{
		$email = $_POST['email'];
	}
	//check if email exists in user table.
	$query = "SELECT id FROM $table_users WHERE email='$email'";
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
	$RecordCount = mysqli_num_rows($result);
	if (($RecordCount > 0) and (trim($email) != ""))
	{
		mysqli_query($db,"UPDATE $table_configuration SET config_value='$email' WHERE config_key='newsletter_admin_email'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "'</script>";
	}
	else
	{
		print "<span class=\"error\">" . $sas_lang['newsletter_module_email_no_admin'] . "</span>";
		print "<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\" 
				onClick=\"javascript:history.go(-1)\" class=\"backbutton\">";
	}
	
	break;
	
	case config:
	
		include("modules/sn_newsletter/config.php");
	
	break;
		
	
	case upload:
	
		include("modules/sn_newsletter/upload.php");
	
	break;
	
	case import:
	
		include("modules/sn_newsletter/import.php");
	
	break;
	
	case new_email:
	
		include("modules/sn_newsletter/new_email.php");
	
	break;
	
	case search_user:
	
		include("modules/sn_newsletter/search_user.php");
	
	break;
}
?>