<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00 
* Copyright (C) 2007- 2011: Fred Stuurman (fc.stuurman@gmail.com)
* idea and design by Marinus Witteveen (marinus.witteveen@xs4all.nl)
* Calendar module : 
* admin.php: last changed 09/08/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}
else
{
	$modoption = "list_cals";	//default choice
}
if (IsSet ($_GET['cal_id']))
{
	$cal_id = intval($_GET['cal_id']);
}
if (IsSet ($_GET['month_id']))
{
	$month_id = intval($_GET['month_id']);
}
if (IsSet ($_POST['name']))
{
	$name = sanitize($_POST['name'], 50, 'S');
}
if (IsSet ($_POST['descr']))
{
	$descr = sanitize($_POST['descr'], 1500, 'H');
}
if (IsSet ($_POST['month']))
{
	$month = intval($_POST['month']);
}
if (IsSet ($_POST['year']))
{
	$year = intval($_POST['year']);
}
if (IsSet ($_POST['calendar_options']))
{
	$calendar_options = $_POST['calendar_options'];
}

if (!get_magic_quotes_gpc())
{
	$header = addslashes($_POST['header']);
}
else
{
	$header = $_POST['header'];
}

load_language('', 'sn_calendar'); //load language file

include ("interface/header.inc.php");
?>
<script src="interface/201a.js" type="text/javascript"></script>
<?php
print "
<script type=\"text/javascript\">
	$(document).ready(function() {
		$(\"#theForm\").validate(
		{
		errorLabelContainer: \"#ErrorBox\"
	}
		);
	});
	</script>";
	
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
$class = "";
if($modoption == "list_cals") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module\">$modulename</a></li>\n";

if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");

$table_events = $dbprefix . "m_calendar_events";
$table_calendars = $dbprefix . "m_calendars";

print "<span class=\"sas_module_title\">$modulename</span>";
print "<br />" . $sas_lang['calendar_module_introduction'] . "<p><br />";

switch ($modoption) // start of switch
{

	case save_cal :	 

		//process checkboxes when they are not selected.
		if($calendar_options[1] != 1)
		{
			$calendar_options[1] = 0;
		}
		if($calendar_options[4] != 1)
		{
			$calendar_options[4] = 0;
		}
		if($calendar_options[7] != 1)
		{
			$calendar_options[7] = 0;
		}
		if($calendar_options[11] != 1)
		{
			$calendar_options[11] = 0;
		}
		if($calendar_options[14] != 1)
		{
			$calendar_options[14] = 0;
		}
		ksort($calendar_options);
		$comma_separated = implode(",", $calendar_options);
		$comma_separated = sanitize($comma_separated, 500, 'S');
		
		if ($cal_id == 0) //when $cal_id is 0 we have a new calendar
		{
			mysqli_query($db,"INSERT INTO $table_calendars (id, name, options, title) VALUES (NULL, '$name', '$comma_separated', '$header')");
		}
		else
		{
			mysqli_query($db,"UPDATE $table_calendars SET name='$name', 
							   options = '$comma_separated', 
							   title = '$header' 
							   WHERE id = '".$cal_id."'");
		}
		//return to the list
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_cals'</script>";

		
	break;

	case save_month:
		
		if ($month_id == 0) //when $month_id is 0 we have a new month
		{
			mysqli_query($db,"INSERT INTO $table_events (id, month, year, description, calendar)  VALUES (NULL, '$month', '$year', '$descr', '$cal_id')");
		}
		else
		{
			mysqli_query($db,"UPDATE $table_events SET description = '$descr', 
							   year = '$year', 
							   month = '$month' 
							   WHERE id = '".$month_id."'");
		}

		$query = "SELECT name FROM $table_calendars WHERE id = '".$cal_id."'";
		$result = mysqli_query($db,$query);
		$cal_name = mysqli_result($result, 0);
		// set the last update date for the page
		$date1 = date("Y-m-d H:i:s");
		
		mysqli_query($db,"UPDATE $table_pages SET lastupdate='$date1' WHERE name = '$cal_name' AND module = 'sn_calendar/calendar.php'");
		//return to the list
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_cals&cal_id=$cal_id'</script>";
		
	break;

	case delete_month:

		mysqli_query($db,"DELETE FROM $table_events WHERE id = '".$month_id."'");
		//return to the calendars list
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_cals&cal_id=$cal_id'</script>";
		
	break;

	case delete_cal:

		mysqli_query($db,"DELETE FROM $table_calendars WHERE id = '".$cal_id."'");
		mysqli_query($db,"DELETE FROM $table_events WHERE calendar = '".$cal_id."'");
		//return to the list
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_cals'</script>";
		
	break;

	case edit_cal:
		
		$query = "SELECT name, options, title FROM $table_calendars WHERE id = '".$cal_id."'" ;
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$name = mysqli_result($result, 0, 0);
		$calendar_options = mysqli_result($result, 0, 1);
		$header = mysqli_result($result, 0, 2);
		unset ($query);
		unset ($result);
		$calendar_options = explode(",", $calendar_options);
	
		print "<div id=\"colorpicker201\" class=\"colorpicker201\"></div>";

		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"740\" bgcolor=\"#CECECE\">";
  
		print "<FORM METHOD=\"POST\" action=\"index.php?option=modulemanager&module=$module&modoption=save_cal&cal_id=$cal_id\">";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"5\">" . $sas_lang['calendar_module_page_name'] . ": (*)</td>
			   <td class=\"sas_row_color_even\"><input tabindex=\"1\" class=\"textfield\" size=\"50\" name=\"name\" value=\"$name\"></td></tr>";
		print "<tr><td colspan=\"6\" class=\"sas_row_color_even\">" . $sas_lang['calendar_module_title'] . ": &nbsp;</td></tr>
				<tr><td colspan=\"6\" bgcolor=\"#F7F7F7\">";

		// call basic ckeditor for welcome text
		small_editor('header', $header, 'editor1');
		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"4\">".$sas_lang['calendar_background_color'].":</td>
				<td class=\"sas_row_color_even\" colspan=\"2\">".$sas_lang['calendar_or']."&nbsp;".$sas_lang['calendar_background_picture'].":</a></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_header_bgcolor'] . ": </td>
			   <td class=\"sas_row_color_even\"><input type=\"text\" size=\"9\" name=\"calendar_options[0]\" ID=\"input_field_1\" value=\"$calendar_options[0]\"></td>
			   <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_1\" bgcolor=\"$calendar_options[0]\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
		       <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_1','sample_1');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\">
		       </td><td class=\"sas_row_color_even\">";
		if($calendar_options[1] == 1)
		{
			print "<input type=\"checkbox\" name=\"calendar_options[1]\" value=\"1\" checked>";
		}
		else
		{
			print "<input type=\"checkbox\" name=\"calendar_options[1]\" value=\"1\">";
		}
		print "</td><td class=\"sas_row_color_even\"><input type=\"text\" size=\"40\" name=\"calendar_options[2]\" value=\"$calendar_options[2]\"></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_day_color'] . ": </td>\n
			  <td class=\"sas_row_color_even\"><input tabindex=\"3\" type=\"text\" size=\"9\" ID=\"input_field_2\" class=\"textfield\" name=\"calendar_options[3]\" value=\"$calendar_options[3]\"></td>\n
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_2\" bgcolor=\"$calendar_options[3]\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>\n
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_2','sample_2');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>\n
			  <td class=\"sas_row_color_even\">";
		if($calendar_options[4] == 1)
		{
			print "<input type=\"checkbox\" name=\"calendar_options[4]\" value=\"1\" checked>";
		}
		else
		{
			print "<input type=\"checkbox\" name=\"calendar_options[4]\" value=\"1\">";
		}
		print "</td><td class=\"sas_row_color_even\"><input type=\"text\" size=\"40\" name=\"calendar_options[5]\" value=\"$calendar_options[5]\"></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_event_day_color'] . ": </td>
			  <td class=\"sas_row_color_even\"><input tabindex=\"4\" type=\"text\" size=\"9\" ID=\"input_field_3\" class=\"textfield\" name=\"calendar_options[6]\" value=\"$calendar_options[6]\"></td>
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_3\" bgcolor=\"$calendar_options[6]\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_3','sample_3');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>
			  <td class=\"sas_row_color_even\">";
		if($calendar_options[7] == 1)
		{
			print "<input type=\"checkbox\" name=\"calendar_options[7]\" value=\"1\" checked>";
		}
		else
		{
			print "<input type=\"checkbox\" name=\"calendar_options[7]\" value=\"1\">";
		}
		print "</td><td class=\"sas_row_color_even\"><input type=\"text\" size=\"40\" name=\"calendar_options[8]\" value=\"$calendar_options[8]\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_table_bgcolor'] . ": </td>
			  <td class=\"sas_row_color_even\"><input tabindex=\"5\" type=\"text\" size=\"9\" ID=\"input_field_4\" class=\"textfield\" name=\"calendar_options[9]\" value=\"$calendar_options[9]\"></td>
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_4\" bgcolor=\"$calendar_options[9]\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_4','sample_4');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>
			  <td class=\"sas_row_color_even\" colspan=\"2\">&nbsp;</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_today_color'] . ": </td>
			  <td class=\"sas_row_color_even\"><input tabindex=\"6\" type=\"text\" size=\"9\" ID=\"input_field_5\" class=\"textfield\" name=\"calendar_options[10]\" value=\"$calendar_options[10]\"></td>
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_5\" bgcolor=\"$calendar_options[10]\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_5','sample_5');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>
			  <td class=\"sas_row_color_even\">";
		if($calendar_options[11] == 1)
		{
			print "<input type=\"checkbox\" name=\"calendar_options[11]\" value=\"1\" checked>";
		}
		else
		{
			print "<input type=\"checkbox\" name=\"calendar_options[11]\" value=\"1\">";
		}
		print "</td><td class=\"sas_row_color_even\"><input type=\"text\" size=\"40\" name=\"calendar_options[12]\" value=\"$calendar_options[12]\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_day_cell_color'] . ": </td>
			  <td class=\"sas_row_color_even\"><input tabindex=\"7\" type=\"text\" size=\"9\" ID=\"input_field_6\"class=\"textfield\" name=\"calendar_options[13]\" value=\"$calendar_options[13]\"></td>
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_6\" bgcolor=\"$calendar_options[13]\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_6','sample_6');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>
			  <td class=\"sas_row_color_even\">";
		if($calendar_options[14] == 1)
		{
			print "<input type=\"checkbox\" name=\"calendar_options[14]\" value=\"1\" checked>";
		}
		else
		{
			print "<input type=\"checkbox\" name=\"calendar_options[14]\" value=\"1\">";
		}
		print "</td><td class=\"sas_row_color_even\"><input type=\"text\" size=\"40\" name=\"calendar_options[15]\" value=\"$calendar_options[15]\"></td></tr>";
		

		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_popup_bgcolor'] . ": </td>
			  <td class=\"sas_row_color_even\"><input tabindex=\"8\" type=\"text\" size=\"9\" ID=\"input_field_7\" class=\"textfield\" name=\"calendar_options[18]\" value=\"$calendar_options[18]\"></td>
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_7\" bgcolor=\"$calendar_options[18]\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_7','sample_7');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>
			  <td class=\"sas_row_color_even\" colspan=\"2\">&nbsp;</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_popup_font_color'] . ": </td>
			  <td class=\"sas_row_color_even\"><input tabindex=\"8\" type=\"text\" size=\"9\" ID=\"input_field_8\" class=\"textfield\" name=\"calendar_options[19]\" value=\"$calendar_options[19]\"></td>
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_8\" bgcolor=\"$calendar_options[19]\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_8','sample_8');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>
			  <td class=\"sas_row_color_even\" colspan=\"2\">&nbsp;</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_left_arrow'] . ": </td>
			   <td class=\"sas_row_color_even\" colspan=\"5\"><input tabindex=\"8\" type=\"text\" size=\"40\" class=\"textfield\" name=\"calendar_options[16]\" value=\"$calendar_options[16]\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_right_arrow'] . ": </td>
			   <td class=\"sas_row_color_even\" colspan=\"5\"><input tabindex=\"9\" type=\"text\" size=\"40\" class=\"textfield\" name=\"calendar_options[17]\" value=\"$calendar_options[17]\"></td></tr>";

		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_first_day_of_week'] . ": </td>
		       <td class=\"sas_row_color_even\" colspan=\"2\">".$sas_lang['calendar_module_monday']."<input type=\"radio\" value=\"0\" name=\"calendar_options[20]\"";
		
		if($calendar_options[20] == 0)
		{
			print "checked"; 
		}
		print "></td><td class=\"sas_row_color_even\" colspan=\"3\">".$sas_lang['calendar_module_sunday']."<input type=\"radio\" value=\"1\" name=\"calendar_options[20]\"";
		
		if($calendar_options[20] == 1)
		{
			print "checked"; 
		}		
		print "></td></table><br>";
//      print "<td class=\"sas_row_color_even\" colspan=\"3\">&nbsp;</td></tr>";
//		print "<tr><td class=\"sas_row_color_even\" colspan=\"6\">&nbsp;</td></tr>
		print "<span class=\"sas_module_lbl2\">".$sas_lang['required_fields']."<br>";
		print "<br><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button></form>";

	break;

	case edit_month:

		$current_year = date("Y");
		$query = "SELECT id, month, year, description, calendar FROM $table_events WHERE id = '".$month_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$month = mysqli_result($result, 0, 1);
		$year = mysqli_result($result, 0, 2);
		$descr = mysqli_result($result, 0, 3);
		$cal = mysqli_result($result, 0, 4);

		print "<span class=\"sas_module_subtitle\">" . $sas_lang['calendar_module_edit'] . "<p>";
		print "<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_month&month_id=$month_id&cal_id=$cal_id\">";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"600\" bgcolor=\"#CECECE\">";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_module_month'] . ": </td><td class=\"sas_row_color_even\">
			   <select size=\"1\" name=\"month\">\n";
		
		for ($i = 1; $i < 13; $i++)
		{
			if ($i == $month)
			{
				echo "<option selected value=\"$i\">$i</option>\n";
			}
			else
			{
				echo "<option value=\"$i\">$i</option>\n";
			}
		}
		print "<br></td></tr>
			   <tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_module_year'] . ": </td><td class=\"sas_row_color_even\">
			   <select size=\"1\" name=\"year\">\n";
		for ($i = $current_year-1; $i < $current_year +5; $i++)
		{
			if ($i == $year)
			{
				echo "<option selected value=\"$i\">$i</option>\n";
			}
			else
			{
				echo "<option value=\"$i\">$i</option>\n";
			}
		}
		$descr = htmlspecialchars($descr);
		print "<br></td></tr>
			   <tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['calendar_module_descr'] . ":</td></tr>
			   <tr><td class=\"sas_row_color_even\" colspan=\"2\"><textarea name=\"descr\" cols=\"80\" rows=\"11\">$descr</textarea></td>
			   </tr></table>
			   <input type=\"hidden\" name=\"cal\" size=\"10\" value=\"$cal\"><br>";
	
		print "<button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button></form>";

	break;

	case add_cal:

		print "<div id=\"colorpicker201\" class=\"colorpicker201\"></div>";
		print "<div id=\"ErrorBox\"></div>";
		print "\n<FORM name=\"theForm\" id=\"theForm\" METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_cal&cal_id=0\">";
		
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"740\" bgcolor=\"#CECECE\">";
  
		print "<tr><td colspan=\"5\"class=\"sas_row_color_even\">" . $sas_lang['calendar_module_page_name'] . ": (*)</td>
               <td class=\"sas_row_color_even\"><input tabindex=\"1\" class=\"required\" size=\"50\" name=\"name\"></td></tr>";
		print "<tr><td colspan=\"6\" class=\"sas_row_color_even\">" . $sas_lang['calendar_module_title'] . ": &nbsp;</td></tr>
				<tr><td colspan=\"6\" bgcolor=\"#F7F7F7\">";

		// call basic ckeditor for welcome text
		small_editor('header', "", 'editor1');
		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"4\">".$sas_lang['calendar_background_color'].":</td>
				<td class=\"sas_row_color_even\" colspan=\"2\">".$sas_lang['calendar_or']."&nbsp;".$sas_lang['calendar_background_picture'].":</a></td></tr>";
		
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_header_bgcolor'] . ": </td>
			  <td class=\"sas_row_color_even\"><input type=\"text\" size=\"9\" name=\"calendar_options[0]\" ID=\"input_field_1\" value=\"#EFEFEF\"></td>
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_1\" bgcolor=\"#EFEFEF\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
		      <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_1','sample_1');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\">
	          </td><td class=\"sas_row_color_even\">";
		print "<input type=\"checkbox\" name=\"calendar_options[1]\" value=\"1\" checked>";

		print "</td><td class=\"sas_row_color_even\"><input type=\"text\" size=\"40\" name=\"calendar_options[2]\" value=\"starnet/modules/sn_calendar/abg.png\"></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_day_color'] . ": </td>\n
			  <td class=\"sas_row_color_even\"><input tabindex=\"3\" type=\"text\" size=\"9\" ID=\"input_field_2\" class=\"textfield\" name=\"calendar_options[3]\" value=\"#E5E5E5\"></td>\n
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_2\" bgcolor=\"#E5E5E5\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>\n
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_2','sample_2');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>\n
		      <td class=\"sas_row_color_even\">";
		print "<input type=\"checkbox\" name=\"calendar_options[4]\" value=\"1\" checked>";

		print "</td><td class=\"sas_row_color_even\"><input type=\"text\" size=\"40\" name=\"calendar_options[5]\" value=\"starnet/modules/sn_calendar/wd_bg.png\"></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_event_day_color'] . ": </td>
			  <td class=\"sas_row_color_even\"><input tabindex=\"4\" type=\"text\" size=\"9\" ID=\"input_field_3\" class=\"textfield\" name=\"calendar_options[6]\" value=\"#D0DEEF\"></td>
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_3\" bgcolor=\"#D0DEEF\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_3','sample_3');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>
			  <td class=\"sas_row_color_even\">";
		print "<input type=\"checkbox\" name=\"calendar_options[7]\" value=\"1\" checked>";

		print "</td><td class=\"sas_row_color_even\"><input type=\"text\" size=\"40\" name=\"calendar_options[8]\" value=\"starnet/modules/sn_calendar/event_bg.png\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_table_bgcolor'] . ": </td>
			  <td class=\"sas_row_color_even\"><input tabindex=\"5\" type=\"text\" size=\"9\" ID=\"input_field_4\" class=\"textfield\" name=\"calendar_options[9]\" value=\"#CCCCCC\"></td>
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_4\" bgcolor=\"#CCCCCC\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_4','sample_4');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>
			  <td class=\"sas_row_color_even\" colspan=\"2\">&nbsp;</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_today_color'] . ": </td>
			  <td class=\"sas_row_color_even\"><input tabindex=\"6\" type=\"text\" size=\"9\" ID=\"input_field_5\" class=\"textfield\" name=\"calendar_options[10]\" value=\"#C2D0EA\"></td>
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_5\" bgcolor=\"#C2D0EA\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_5','sample_5');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>
			  <td class=\"sas_row_color_even\">";
		print "<input type=\"checkbox\" name=\"calendar_options[11]\" value=\"1\" checked>";

		print "</td><td class=\"sas_row_color_even\"><input type=\"text\" size=\"40\" name=\"calendar_options[12]\" value=\"starnet/modules/sn_calendar/active_day.png\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_day_cell_color'] . ": </td>
			  <td class=\"sas_row_color_even\"><input tabindex=\"7\" type=\"text\" size=\"9\" ID=\"input_field_6\"class=\"textfield\" name=\"calendar_options[13]\" value=\"#F3F3F3\"></td>
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_6\" bgcolor=\"#F3F3F3\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_6','sample_6');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>
			  <td class=\"sas_row_color_even\">";
		print "<input type=\"checkbox\" name=\"calendar_options[14]\" value=\"1\" checked>";

		print "</td><td class=\"sas_row_color_even\"><input type=\"text\" size=\"40\" name=\"calendar_options[15]\" value=\"starnet/modules/sn_calendar/abg.png\"></td></tr>";


		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_popup_bgcolor'] . ": </td>
			  <td class=\"sas_row_color_even\"><input tabindex=\"8\" type=\"text\" size=\"9\" ID=\"input_field_7\" class=\"textfield\" name=\"calendar_options[18]\" value=\"#FFFF99\"></td>
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_7\" bgcolor=\"#FFFF99\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_7','sample_7');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>
			  <td class=\"sas_row_color_even\" colspan=\"2\">&nbsp;</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_popup_font_color'] . ": </td>
			  <td class=\"sas_row_color_even\"><input tabindex=\"8\" type=\"text\" size=\"9\" ID=\"input_field_8\" class=\"textfield\" name=\"calendar_options[19]\" value=\"#000000\"></td>
			  <td class=\"sas_row_color_even\"><table width=\"50\" ID=\"sample_8\" bgcolor=\"#000000\" height=\"20\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>&nbsp;</td></tr></table></td>
			  <td class=\"sas_row_color_even\"><img src=\"modules/sn_calendar/sel.gif\" onclick=\"showColorGrid2('input_field_8','sample_8');\" border=\"0\" style=\"cursor:pointer\" alt=\"select color\" title=\"select color\"></td>
			  <td class=\"sas_row_color_even\" colspan=\"2\">&nbsp;</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_left_arrow'] . ": </td>
			   <td class=\"sas_row_color_even\" colspan=\"5\"><input tabindex=\"8\" type=\"text\" size=\"40\" class=\"textfield\" name=\"calendar_options[16]\" value=\"starnet/modules/sn_calendar/back.png\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_right_arrow'] . ": </td>
			   <td class=\"sas_row_color_even\" colspan=\"5\"><input tabindex=\"9\" type=\"text\" size=\"40\" class=\"textfield\" name=\"calendar_options[17]\" value=\"starnet/modules/sn_calendar/next.png\"></td></tr>";

		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['calendar_first_day_of_week'] . ": </td>
		       <td class=\"sas_row_color_even\" colspan=\"2\">".$sas_lang['calendar_module_monday']."<input type=\"radio\" value=\"0\" name=\"calendar_options[20]\" checked></td>
		       <td class=\"sas_row_color_even\" colspan=\"3\">".$sas_lang['calendar_module_sunday']."<input type=\"radio\" value=\"1\" name=\"calendar_options[20]\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"6\"><span class=\"sas_module_lbl2\">".$sas_lang['required_fields']."</span></td></tr>";
		print "</table><br>
               <button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button></form>";


	break;

	case add_month:

		$current_year = date("Y");
		print "\n<FORM METHOD=\"POST\" enctype=\"multipart/form-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_month&month_id=0&cal_id=$cal_id\">";
		print "<table>
			   <tr><td>" . $sas_lang['calendar_module_month'] . ": <br>
			   <select size=\"1\" name=\"month\">\n";
		for ($i = 1; $i < 13; $i++)
		{
			print "<option value=\"$i\">$i</option>\n";
		}
		print "<br></td></tr>
			   <tr><td>" . $sas_lang['calendar_module_year'] . ": <br>
			   <select size=\"1\" name=\"year\">\n";
		for ($i = $current_year; $i < $current_year +5; $i++)
		{
			print "<option value=\"$i\">$i</option>\n";
		}
		print "<br></td></tr><tr><td>&nbsp;</td></tr>
			   <tr><td>" . $sas_lang['calendar_module_descr'] . ":<br>
			   <textarea name=\"descr\" cols=\"70\" rows=\"11\"></textarea></td>
			   </tr></table>
			   <input type=\"hidden\" name=\"cal\" size=\"10\" value=\"$addmonth\">";
	
		print "<br><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button></form>";

	break;

	case list_cals:
	
		$query = "SELECT id, name FROM $table_calendars";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		if (mysqli_num_rows($result) > 0)
		{
			while ($cal_list = mysqli_fetch_array($result))
			{
				print "<br><table>
					  <tr>
					  <td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  onClick=\"if(confirm('$sas_lang[calendar_module_delete_cal_confirm]'))
					  parent.location='index.php?option=modulemanager&module=$module&modoption=delete_cal&cal_id=$cal_list[0]';\">
					  <img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_cal&cal_id=$cal_list[0]'\">
					  </td>
					  <td><a href=\"index.php?option=modulemanager&module=$module&cal_id=$cal_list[0]\">$cal_list[1]</a></td>
					  </tr>";
		
				if ($cal_id == $cal_list[0])
				{
					print "<tr><td>&nbsp;</td><td>";
					$query2 = "SELECT id, month, year FROM $table_events WHERE calendar = $cal_list[0] ORDER BY year DESC , month DESC"; // getting the categories
					$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
					if (mysqli_num_rows($result2) > 0)
					{
						while ($event_list = mysqli_fetch_array($result2))
						{
							print "<br><table>
									<tr>
									<td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
									onClick=\"if(confirm('" . $sas_lang['calendar_module_delete_confirm'] . "')) 
									parent.location='index.php?option=modulemanager&module=$module&modoption=delete_month&month_id=$event_list[0]&cal_id=$cal_id';\">
									<img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
									onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_month&month_id=$event_list[0]&cal_id=$cal_id'\">
									</td>
									<td><a href=\"index.php?option=modulemanager&module=$module&modoption=edit_month&month_id=$event_list[0]&cal_id=$cal_id\">$event_list[1] - $event_list[2]</a></span></td>
									</tr></table>";
						}
					}
					print "<br><img border=\"0\" src=\"graphics/add.gif\">
						 <a href=\"index.php?option=modulemanager&module=$module&modoption=add_month&cal_id=$cal_list[0]\">" . $sas_lang['calendar_module_add_month'] . "</a>";
		
					print "</td></tr>";
				}
				print "</table>";
			}
		}
		else
		{
			print $sas_lang['empty_list'] . "<br />" ;
		}
		print "<br><img border=\"0\" src=\"graphics/add.gif\">
       			<a href=\"index.php?option=modulemanager&module=$module&modoption=add_cal\">" . $sas_lang['calendar_module_add_cal'] . "</a><p>";
		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	   
	break;
}

include ("interface/footer.inc.php");
?>
