<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Messages module : 
* admin.php: last changed 26/07/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 20, 'A');
}
else
{
	$modoption = "list_message_pages";	//default choice
}
if (IsSet ($_GET['cat_id']))
{
	$cat_id = sanitize($_GET['cat_id'], 5 , 'I'); //sanitize, 5 pos max
}
if (IsSet ($_GET['message_id']))
{
	$message_id = sanitize($_GET['message_id'], 5 , 'S'); //sanitize, 5 chars max
}
if (IsSet ($_POST['message_page_name']))
{
	$message_page_name = sanitize($_POST['message_page_name'], 50 , 'S'); //sanitize, 50 chars max
}
if (IsSet ($_POST['message_welcome_text']))
{
	$message_welcome_text = sanitize($_POST['message_welcome_text'], 1500, 'H');
}
if (IsSet ($_POST['message_add_text']))
{
	$message_add_text = sanitize($_POST['message_add_text'], 1500, 'H');
}
if (IsSet ($_POST['intro_message']))
{
	$intro_message = sanitize($_POST['intro_message'], 1500, 'H');
}
if (IsSet ($_POST['message']))
{
	$message = sanitize($_POST['message'], 1500, 'H');
}

if (IsSet ($_POST['page_id']))
{
	$page_id = sanitize($_POST['page_id'], 5 , 'I'); //sanitize, 5 pos max
}
if (IsSet ($_POST['link_icon']))
{
	$link_icon = sanitize($_POST['link_icon'], 60 , 'S'); //sanitize, 60 chars max
}
if (IsSet ($_POST['name']))
{
	$name = sanitize($_POST['name'], 50 , 'S');
}
if (IsSet ($_POST['days']))
{
	$days = sanitize($_POST['days'], 5 , 'I');
}
if (IsSet ($_POST['date']))
{
	$date = sanitize($_POST['date'], 15 , 'S');
	$date = convert_date($date); //put it in the form of %y-%m-%d
}
if (IsSet ($_POST['public']))
{
	$public = sanitize($_POST['public'], 1, 'I');
}
if (IsSet ($_POST['show_latest']))
{
	$show_latest = sanitize($_POST['show_latest'], 1, 'I');
}

load_language('', 'sn_message'); //load language file

include ("interface/header.inc.php");
print "
<script type=\"text/javascript\">
	$(document).ready(function() {
		$(\"#theForm\").validate(
		{
		errorLabelContainer: \"#ErrorBox\"
	}
		);
	});
	</script>";
	
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");

$class = "";
if($modoption == "list_message_pages") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=list_message_pages\">" . $sas_lang['message_module_content'] . "</a></li>\n";

$class = "";
if($modoption == "config") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=config\">" . $sas_lang['configuration'] . "</a></li>\n";

if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");

$table_message = $dbprefix . "m_message";
$table_message_cat = $dbprefix . "m_message_cat";

$date_format = $sas_config['dateformat'];

print "<span class=\"sas_module_title\">$modulename</span>
	    <br />" . $sas_lang['message_module_intro'] . "<br /> ";

switch ($modoption) // start of switch
{

	case save_config:
	
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$message_add_text' WHERE config_key = 'message_add_text'");
		print "<span class=\"sas_module_title\">$modulename $sas_lang[configuration]<br><br></span>";
		print $sas_lang[message_module_saved];
		
	break;
	
	case delete_message_page :
		
		mysqli_query($db,"DELETE FROM $table_message_cat WHERE id = '".$cat_id."'");
		mysqli_query($db,"DELETE FROM $table_message WHERE message_id = '".$cat_id."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_message_pages'</script>";
	
	break;
	
	case delete_message:
	
		mysqli_query($db,"DELETE FROM $table_message WHERE id = '".$message_id."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_messages&cat_id=$cat_id'</script>";
		
	break;
	
	case save_message:

		$days = intval($days);
		$query = "SELECT public FROM $table_message_cat WHERE id = '". $page_id ."' LIMIT 1";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$public = mysqli_result($result, 0, 'public');
		
		if ($message_id == 0)	//when $message_id is 0 we have a new message
		{
			mysqli_query($db,"INSERT INTO $table_message (id, intro_message, message, date, name, days, todate, message_id, public)
								VALUES (NULL, '$intro_message', '$message', '$date', '$name', '$days', DATE_ADD('$date', INTERVAL $days DAY), '$page_id', '$public')");
		}
		else
		{
			mysqli_query($db,"UPDATE $table_message SET intro_message = '$intro_message',
                                                message = '$message' ,
												date = '$date' ,
												name = '$name' ,
												days = '$days',
												todate = DATE_ADD('$date',INTERVAL $days DAY),
												message_id = '$page_id',
												public = '$public'
												WHERE id = '".$message_id."'");
		}
		
		// set the last update date for the page
		$date1 = date("Y-m-d H:i:s");
		if($public == 1)
		{
			$table_pages = $dbprefix . "prot_pages"; 	
		}
		mysqli_query($db,"UPDATE $table_pages SET lastupdate = '$date1' WHERE module = 'sn_message/view_message.php'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_messages&suboption=$suboption&cat_id=$page_id'</script>";
	
	break;
	
	
	case save_message_page:
	
		if ($cat_id == 0)	//when message_id is 0 we have a new ads page
		{
			$query = "SELECT id FROM $table_message_cat WHERE pagename = '".$message_page_name."'";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$RecordCount = mysqli_num_rows($result);
			if ($RecordCount > 0)
			{
				print "<script language=\"Javascript\">
					   <!--
					   alert (\"".$sas_lang['message_module_name_exists']."\");
					   //-->
					   </script>";
			}
			mysqli_query($db,"INSERT INTO $table_message_cat (id, pagename, welcome, public, icon, show_latest)
				VALUES (NULL, '$message_page_name', '$message_welcome_text', '$public', '$link_icon', '$show_latest')");
		}
		else
		{
			mysqli_query($db,"UPDATE $table_message_cat 
								SET pagename = '$message_page_name' ,
								welcome = '$message_welcome_text' ,
								public = '$public',
								icon = '$link_icon',
								show_latest = '$show_latest'
								WHERE id = '".$cat_id."'");
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_message_pages'</script>";
		
	break;
	
	case list_message_pages :
		
		$query = "SELECT id, pagename, welcome, public FROM $table_message_cat ORDER BY pagename";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$Recordcount = mysqli_num_rows($result); //number oflinks categories
		if ($Recordcount > 0)
		{
			print "<table border=\"0\">";
		
			while ($page_list = mysqli_fetch_array($result)) //loop through pagenames
			{

				$query2 = "SELECT id FROM $table_message WHERE message_id = '$page_list[0]'";

				$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
				$Recordcount1 = mysqli_num_rows($result2); //number of links
				
				$public = "" ;
				if ($page_list[3] == 1)
				{
					$public = "(*)";
				}
		
				print "	<tr><td colspan=\"2\">&nbsp;</td></tr>
						<tr><td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
						onClick=\"if(confirm('$sas_lang[message_module_cat_delete_confirm]'))
						parent.location='index.php?option=modulemanager&module=$module&modoption=delete_message_page&cat_id=$page_list[0]';\">
						<img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
						onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_message_page&cat_id=$page_list[0]'\"></td>
						<td><a href=index.php?option=modulemanager&module=$module&modoption=list_messages&cat_id=$page_list[0]>" . $page_list[1] . 
						"</a> <span class=\"sas_module_lbl1\"> ($Recordcount1)</span> <span class=\"sas_module_lbl2\">$public</span></td></tr>";
			}
		}
		else
		{
			print "<br />".$sas_lang['message_module_addcategory_please'] ;
		}
		print "<tr><td colspan=\"2\">&nbsp;</td></tr>
				</table><p><br /><span class=\"sas_module_lbl2\">(*) " . $sas_lang['message_module_is_public'] . "</span><p>" ;
		
		print "<p><img border=\"0\" src=\"graphics/add.gif\">
			   <a href=\"index.php?option=modulemanager&module=$module&modoption=add_message_page\">" . $sas_lang['message_module_add_message_page'] . "</a>";
		
		if ($Recordcount > 0)
		{
			print "&nbsp;&nbsp;<img border=\"0\" src=\"graphics/add.gif\">
			   <a href=\"index.php?option=modulemanager&module=$module&page_id=$page_id&modoption=add_message\">" . $sas_lang['message_module_add'] . "</a>";
		}
		print "<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
	break;
	
	case add_message_page :
	
		print "<br /><span class=\"sas_module_subtitle\">" . $sas_lang['message_module_add_message_page'] . "</span>";
		print "<div id=\"ErrorBox\"></div>";
		print "\n<form name=\"theForm\" id=\"theForm\" METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_message_page&cat_id=0\">";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";

		print "<tr><td class=\"sas_row_color_even\" width=50%>" . $sas_lang['message_module_pagename'] . " (*):</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"50\" class=\"required\" name=\"message_page_name\"></td></tr>";
//		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['message_module_header1'] . ":</td></tr>
               <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
  
		// call basic ckeditor for welcome text
		small_editor('message_welcome_text', "", 'editor1');
		
		print "</td></tr>";
		
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['message_module_icon'] . ":</td><td class=\"sas_row_color_even\"><input type=\"text\" size=50 class=\"textfield\" name=\"link_icon\" value=\"starnet/modules/sn_message/folder.gif\"></td></tr>";
//		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['message_module_is_public'].":</td>";
  
		print "<td  class=\"sas_row_color_even\">".$sas_lang['no'] ;
		print "<input type=\"radio\" value=\"0\" name=\"public\" checked>&nbsp;";
		print "&nbsp;&nbsp;&nbsp; ".$sas_lang['yes'] ;
		print "<input type=\"radio\" name=\"public\" value=\"1\">";

		print "</td></tr>" ;
//		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['message_module_sort_order']."</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['no'] ;
		print "<input type=\"radio\" value=\"0\" name=\"show_latest\" checked>&nbsp;";
		print "&nbsp;&nbsp;&nbsp; ".$sas_lang['yes'] ;
		print "<input type=\"radio\" name=\"show_latest\" value=\"1\">";

		print "</td></tr>" ;
		print "<tr><td class=\"sas_row_color_even\" colspan=\"4\"><span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "</td></tr>";
		
		print "</table>";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
	
	break;
	
	case edit_message_page :
	
		$query = "SELECT pagename, welcome, public, icon, show_latest FROM $table_message_cat WHERE id = '".$cat_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$pagename = mysqli_result($result, 0, 0);
		$message_welcome_text = mysqli_result($result, 0, 1);
		$public = mysqli_result($result, 0, 2);
		$icon = mysqli_result($result, 0, 3);
		$show_latest = mysqli_result($result, 0, 4);
		
		print "" . $sas_lang['message_module_edit_message_page'] . "<p></span>";
  		print "<span class=\"sas_module_subtitle\">" . $sas_lang['message_module_edit'] . "</span><p>";
		print "\n<form METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_message_page&cat_id=$cat_id\">";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";

		print "<tr><td class=\"sas_row_color_even\" width=\"50%\">" . $sas_lang['message_module_pagename'] . ":</td><td class=\"sas_row_color_even\"><input type=\"text\" size=50 class=\"textfield\" name=\"message_page_name\" value=\"$pagename\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['message_module_header1'] . ": &nbsp;</td></tr>
               <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";

		// call basic ckeditor for welcome text
		small_editor('message_welcome_text', $message_welcome_text, 'editor1');
		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['message_module_icon'] . " &nbsp;</td><td  class=\"sas_row_color_even\"><input type=\"text\" size=50 class=\"textfield\" name=\"link_icon\" value=\"$icon\"></td></tr>";
				
		print "<tr><td  class=\"sas_row_color_even\">".$sas_lang['message_module_is_public']."</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['yes']."&nbsp;";

		if ($public == "0")
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\">&nbsp;";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no']."</span>&nbsp;";
			print "<input type=\"radio\" name=\"public\" value=\"0\" checked>";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\" checked>&nbsp;";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no']."</span>&nbsp;";
			print "<input type=\"radio\" name=\"public\" value=\"0\">";
		}

		print "</td></tr>" ;
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['message_module_sort_order']."</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['yes']."&nbsp;";

		if ($show_latest == "0")
		{
			print "<input type=\"radio\" value=\"1\" name=\"show_latest\">&nbsp;";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no']."</span>&nbsp;";
			print "<input type=\"radio\" name=\"show_latest\" value=\"0\" checked>";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"show_latest\" checked>&nbsp;";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no']."</span>&nbsp;";
			print "<input type=\"radio\" name=\"show_latest\" value=\"0\">";
		}

		print "</td></tr>" ;
		print "</table>";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
	
	break;
	
	case config:

		$message_add_text = $sas_config['message_add_text'];

	    print "<br><span class=\"sas_module_subtitle\">" . $sas_lang['message_module_config'] . "</span>";
		print "<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_config\">";

		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";

		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['message_module_header2'] . ": &nbsp;</td></tr>
               <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";

		// call basic ckeditor for welcome text
		small_editor('message_add_text', $message_add_text, 'editor1');
		
		print "</td></tr></table><br>\n";
		
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "\n&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
		
	break;

	case edit_message:

		print "<br /><span class=\"sas_module_subtitle\">" . $sas_lang['message_module_change'] . "</span><p>";
		$query = "SELECT id, message, date_format(date, '$sas_config[dateformat]') AS Readable_Date, name, days, public, intro_message FROM $table_message WHERE id = '".$message_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$message_list = mysqli_fetch_array($result);
		
		print "<link rel=\"stylesheet\" type=\"text/css\" href=\"interface/calpopup.css\">
				<script src=\"interface/calpopup.js\" type=\"text/javascript\"></script>" ;

		$date_format = str_replace('%d', 'dd', $sas_config['dateformat']) ;
		$date_format = str_replace('%Y', 'yyyy', $date_format) ;
		$date_format = str_replace('%m', 'mm', $date_format) ;
		
		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_message&suboption=$suboption&message_id=$message_id&cat_id=$cat_id\">";

   		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
		print "  <tr><td width=\"50%\" valign=\"top\" class=\"sas_row_color_even\">" . $sas_lang['message_module_intro_message'] . " :</td>
                 <td class=\"sas_row_color_even\"><textarea cols=\"50\" rows=\"2\" name=\"intro_message\">$message_list[6]</textarea></td></tr>

				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['message_module_days'] . " :</td>
				 <td class=\"sas_row_color_even\"><input type=\"text\" name=\"days\" size=\"5\" value=\"$message_list[4]\" class=\"textfield\"></td></tr>";
								 
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['message_module_pagename'] . ":</td>
               <td class=\"sas_row_color_even\"><select size=\"1\" class=\"text\" name=\"page_id\">";
	
		$query2 = "SELECT id, pagename FROM $table_message_cat ORDER BY pagename";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
		 
			while ($page_list = mysqli_fetch_array($result2))
			{
				if ($page_list[0] == $cat_id)
				{
					print "<option selected value=\"$page_list[0]\">$page_list[1]</option>\n";
				}
				else
				{
					print "<option value=\"$page_list[0]\">$page_list[1]</option>\n";
				}
			}
			
		print "</select></td></tr>
				<tr><td class=\"sas_row_color_even\">" . $sas_lang['message_module_owner'] . " :</td>
				 <td class=\"sas_row_color_even\"><input type=\"text\" name=\"name\" size=\"40\" value=\"$message_list[3]\" class=\"textfield\"></td></tr>

				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['message_module_date'] . " :</td>
				 <td class=\"sas_row_color_even\"><input type=\"text\" name=\"date\" id=\"date\" size=\"11\" value=\"$message_list[2]\" class=\"textfield\"
				 onblur=\"dp_dateFormat='dd-mm-yyyy';magicDate(this)\" onfocus=\"if (this.className != 'error') this.select()\"> 
				 <a href=\"javascript:void(0);\" onclick=\"g_Calendar.show(event,'date', '$date_format')\" title=\"\">
				 <img src=\"interface/calendar.gif\" border=\"0\" alt=\"\"></a>
				 </td></tr>";
		print "<tr><td colspan=\"2\">";
		// call basic ckeditor for welcome text
		small_editor('message', $message_list[1], 'editor1');

		print "</td></tr>
				</table>";
	
		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;

	case add_message:

		$d = time();
		$d = strftime($sas_config['dateformat'], $d);
		
		print "<br /><span class=\"sas_module_subtitle\">".$sas_lang['message_module_add']."</span>";
		print "<link rel=\"stylesheet\" type=\"text/css\" href=\"interface/calpopup.css\">
				<script src=\"interface/calpopup.js\" type=\"text/javascript\"></script>" ;

		$date_format = str_replace('%d', 'dd', $sas_config['dateformat']) ;
		$date_format = str_replace('%Y', 'yyyy', $date_format) ;
		$date_format = str_replace('%m', 'mm', $date_format) ;
		print "<div id=\"ErrorBox\"></div>";
		print "\n<form name=\"theForm\" id=\"theForm\" METHOD=\"POST\" NAMEe=\"message\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_message&suboption=$suboption&message_id=0&cat_id=$cat_id\">";

		print " <table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
		print "  <tr><td valign=\"top\" width=\"50%\" class=\"sas_row_color_even\">" . $sas_lang['message_module_intro_message'] . " :</td>
				 <td class=\"sas_row_color_even\"><textarea cols=\"50\" rows=\"2\" name=\"intro_message\" class=\"required\"></textarea></td></tr>
				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['message_module_days'] . " :</td>
				 <td class=\"sas_row_color_even\"><input type=\"text\" name=\"days\" size=\"5\" class=\"textfield\"></td></tr>";
								 
		print "<tr><td  class=\"sas_row_color_even\">" . $sas_lang['message_module_pagename'] . ":</td><td class=\"sas_row_color_even\"><select size=\"1\" class=\"text\" name=\"page_id\">";

	
		$query2 = "SELECT id, pagename FROM $table_message_cat ORDER BY pagename";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
		 
		while ($page_list = mysqli_fetch_array($result2))
		{
			if ($page_list[0] == $cat_id)
			{
				print "<option selected value=\"$page_list[0]\">$page_list[1]</option>\n";
			}
			else
			{
				print "<option value=\"$page_list[0]\">$page_list[1]</option>\n";
			}
		}
			
		print "</select></td></tr>
				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['message_module_owner'] . " :</td>
				 <td class=\"sas_row_color_even\"><input type=\"text\" name=\"name\" size=\"40\" class=\"textfield\"></td></tr>
				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['message_module_date'] . " :</td>
				 <td class=\"sas_row_color_even\"><input type=\"text\" name=\"date\" id=\"date\" size=\"11\" value=\"$d\" class=\"textfield\"
				 onblur=\"dp_dateFormat='dd-mm-yyyy';magicDate(this)\" onfocus=\"if (this.className != 'error') this.select()\"> 
				 <a href=\"javascript:void(0);\" onclick=\"g_Calendar.show(event,'date', '$date_format')\" title=\"\">
				 <img src=\"interface/calendar.gif\" border=\"0\" alt=\"\"></a>
				 </td></tr>";

		print "<tr><td colspan=\"2\"  bgcolor=\"#F7F7F7\" >";
		
		// call basic ckeditor for welcome text
		small_editor('message', "", 'editor1');

		print "</td></tr>
				</table>";
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
		
	break;

	case list_messages:
	
		$query = "SELECT pagename, show_latest FROM $table_message_cat WHERE id = '".$cat_id."'" ;
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$page_name = mysqli_result($result, 0, 0);
		$show_latest = mysqli_result($result, 0, 1);
		if($show_latest == 1)
		{
			$sort = " DESC";
		}
		else
		{
			$sort = "";
		}
		
		print "<br /><span class=\"sas_module_subtitle\">" . $sas_lang['message_module_pagename'] ."&nbsp;:&nbsp;". $page_name. "</span><p>";
		
		$query = "SELECT id, name, message, date_format(date, '%d-%m-%Y'), days AS Readable_Date, intro_message FROM $table_message WHERE message_id = '$cat_id' ORDER BY date $sort, ID DESC";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	
		while ($message_list = mysqli_fetch_array($result))
		{
			print "<table width=\"640\" cellpadding=\"2\" cellspacing=\"2\" bgcolor=\"#CECECE\"><tr>";
			$msg = str_replace("%date%", $message_list[3], $sas_lang['message_module_delete']);
			print "<tr bgcolor=\"$bgcolor\">
					 <td width=4% class=\"sas_row_color_even\" rowspan=\"4\" valign=\"top\"><img border=\"0\" src=\"graphics/delete.gif\" alt=\"$sas_lang[delete]\" title=\"$sas_lang[delete]\" width=\"16\" height=\"16\" class=\"tooltip\" 
					 onClick=\"if(confirm('" . $msg . "')) parent.location='index.php?option=modulemanager&module=$module&modoption=delete_message&suboption=$suboption&message_id=$message_list[0]&cat_id=$cat_id';\">&nbsp;

					 <img border=\"0\" src=\"graphics/edit.gif\" alt=\"$sas_lang[edit]\"  title=\"$sas_lang[edit]\"width=\"16\" height=\"16\" class=\"tooltip\" 
					 onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_message&suboption=$suboption&message_id=$message_list[0]&cat_id=$cat_id';\"></td>
					 <td valign=\"top\" class=\"sas_row_color_even\" width='25%'>" . $sas_lang['message_module_date'] . ":</td>
					 <td valign=\"top\" class=\"sas_row_color_even\">$message_list[3]<br></td>
					 </tr>
                     <tr>
					 <td valign=\"top\" class=\"sas_row_color_even\">" . $sas_lang['message_module_owner'] . ":</td>
					 <td valign=\"top\" class=\"sas_row_color_even\">$message_list[1]<br></td>
					 </tr>
					 <tr>
					 <td valign=\"top\" class=\"sas_row_color_even\">" . $sas_lang['message_module_message'] . ":</td>
					 <td valign=\"top\" class=\"sas_row_color_even\">$message_list[5]<br>$message_list[2]<br></td>
					 </tr>
					 <tr>
					 <td valign=\"top\" class=\"sas_row_color_even\">" . $sas_lang['message_module_days'] . ":</td>
					 <td valign=\"top\" class=\"sas_row_color_even\">$message_list[4]</td>
					 </tr>";
	
			print "</table><hr width=640 align=left>";
		}

	print "<p><img border=\"0\" src=\"graphics/add.gif\">
       <a href=\"index.php?option=modulemanager&module=$module&modoption=add_message&cat_id=$cat_id\">$sas_lang[message_module_add]</a></span>";
	print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module&modoption=list_message_pages'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";

	break;

} //end switch
	
include ("interface/footer.inc.php");
?>
