<?php
/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Class pages module : 
*  functions.inc.php: last changed 16/12/2009  by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

function display_page($page_id, $class_id, $project)
{
	global $db, $sas_lang, $table_studentpages, $table_users, $table_classes, $page, $section, $sort ;
	
	if($page_id == 0)
	{
		return;
	}
	$query = "SELECT title, dir_number, content FROM $table_studentpages WHERE studentid = '".$page_id."'"; // getting the title and content
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
	$num_rows = mysqli_num_rows($result);
	if ($num_rows > 0)
	{
		//$title = mysqli_result($result, 0, 0);
		$student_id = mysqli_result($result, 0, 'dir_number');
		$content = mysqli_result($result, 0, 'content');
		unset ($query);
		unset ($result);
		
		if($project == 0)
		{
			// getting the student name
			$query1 = "SELECT name FROM $table_users WHERE id = '".$student_id."' LIMIT 1"; 
			$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query1 . '".',E_USER_WARNING); 
			$num_rows = mysqli_num_rows($result1);
			if ($num_rows > 0)
			{
				$name = mysqli_result($result1, 0, 'name');
			}
			
		}
		
		if($project == 1)
		{
			// getting the project name
			$query1 = "SELECT name FROM $table_classes WHERE id = '".$class_id."' LIMIT 1"; 
			$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query1 . '".',E_USER_WARNING); 
			$num_rows = mysqli_num_rows($result1);
			if ($num_rows > 0)
			{
				$name = mysqli_result($result1, 0, 'name');
			}
		}
		
		unset ($query1);
		unset ($result1);
		
		//get the class name
		$query2 = "SELECT name, project FROM $table_classes WHERE id = '". $class_id . "' LIMIT 1";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query2 . '".',E_USER_WARNING);
		$num_rows2 = mysqli_num_rows($result2);
		if ($num_rows2 > 0)
		{
			$class_name = mysqli_result($result2, 0, 'name');
			$project = mysqli_result($result2, 0, 'project');
		}
		
		//getting pages for this student/project
		$query3 = "SELECT studentid, title FROM $table_studentpages 
					WHERE dir_number = '".$student_id."'  AND content != '' AND invisible != 1 ORDER BY $sort"; // getting the title of other pages
		$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query3 . '".',E_USER_WARNING); 
		$teacher_count = mysqli_num_rows($result3);
		
		print "<table class=\"sas_module_table\">";
		print "<tr><td align=\"center\" width=\"80%\"><span class=\"sas_module_title\">" . " $name </span>";
		
		//if we have a project no need to give the classname (=project name)
		if($project == 0)	
		{
			print "<br/>$class_name ";
		}	
		
		if(IsSet($_GET['page_id']))	//we need a different link when the groups page is skipped (class has no students)
		{
			$back_link = "index.php?section=$section&amp;page=$page&amp;class_id=$class_id&amp;show_pupils=1";
		}
		else
		{
			$back_link = "index.php?section=$section&amp;page=$page";
		}
		print "</td><td align=\"right\" width=\"20%\"><a href=\"$back_link\" class=\"sas_module_link\"><< " . $sas_lang['goback'] . ">></a>&nbsp;</td></tr>";
		
		if ($teacher_count > 0)
		{
			
			print "<td colspan=\"2\">";
			
			while ($title_list = mysqli_fetch_array($result3))
			{
				if($title_list[0] == $page_id)
				{
					print "<span class=\"sas_module_subtitle\">[$title_list[1]]&nbsp;</span>";
				}
				else
				{
					print "<a href=\"index.php?section=$section&amp;page=$page&amp;class_id=$class_id&amp;page_id=$title_list[0]\" class=\"sas_module_link\">[$title_list[1]]</a>\n";
				}
			}
		}
		print "</td></tr>";
		print "<tr><td colspan=\"2\"><hr></td></tr>";
		print "<tr><td height=\"350\" colspan=\"2\" valign=\"top\"><span class=\"sas_module_text\">". $content . "</span></td></tr>";
		print "<tr><td colspan=\"2\" align=\"right\"><a href=\"$back_link\" class=\"sas_module_link\"><< " . $sas_lang['goback'] . ">></a>&nbsp;</td></tr>";
		print "</table><p>\n";
	}
	else
	{
		print "<span class=\"sas_module_error\">".$sas_lang['student_no_page']."</span>" ;
	}
}

function display_groups($project)
{
	global $db, $table_classes, $section, $page, $sas_lang ;
	
	//project = 0 display classes, project = 1 display projects
	$query = "SELECT id, name, welcome FROM $table_classes WHERE project = $project AND name != '**dummy**' ORDER BY sort "; //get the classes/projects
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 

	if($project == 1)
	{
		print "<span class=\"sas_module_title\">" . $sas_lang['student_projects'] . ":</span><p>";
	}
	else
	{
		print "<span class=\"sas_module_title\">" . $sas_lang['classes'] . ":</span><p>";
	}
	
	print "<table class=\"sas_module_table\"><tr>\n";
	
	$i = 0 ;
	while ($list = mysqli_fetch_array($result)) // list the classes/projects
	{
		$class_name = stripslashes($list[1]);
		if ($list[0] != "$class_id")
		{
			print "<td valign=\"top\" width=\"48%\"><a href=\"index.php?section=$section&amp;page=$page&amp;class_id=$list[0]\" class=\"sas_module_link\">$class_name</a><br/>\n";
			
			if($list[2] != "") //print welcome  text if it is filled
			{
				print "<span class=\"sas_module_subtitle\">".$list[2]."</span><br />";
			}
			if($i == 1)
			{
				print "</td></tr><tr><td colspan=\"3\">&nbsp;</td></tr>\n";
			}
			else
			{
				print "</td><td>";
			}
		}
		$i++;
		
		if($i == 2)
		{
			$i = 0;
		}
	}
	if($i == 1)
	{
		print "&nbsp;</td><td width=\"4%\">&nbsp;</td></tr>\n";
	}
	
	print "</table>";
}

function display_students($class_id, $show_link)
{
//$show_link = 1 : show the back link, $show_link = 0 don't show link 
	global $db, $table_classes, $table_users, $table_studentpages, $section, $page, $sas_lang, $teacher_page_id; ;
	
	$query1 = "SELECT name, show_teacherpage FROM $table_classes WHERE id = '".$class_id."'"; //get the class name
	$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query1 . '".',E_USER_WARNING); 
	$RecordCount = mysqli_num_rows($result1);
	
	//Do we have a class/project with this id?
	if ($RecordCount > 0)
	{	
		$class_name = mysqli_result($result1, 0, 'name');
		$show_teacherpage = mysqli_result($result1, 0, 'show_teacherpage');
		
		//see if we have students and if the pages have content
		$query = "SELECT id, name, class FROM $table_users u
					LEFT JOIN $table_studentpages s ON s.dir_number = u.id WHERE invisible = 0 AND content != '' AND 
					(class= '$class_id' OR class like '$class_id,%' OR class like '%,$class_id,%' OR class like '%,$class_id') AND (type = 1 OR type = 21) 
					GROUP BY s.dir_number
					ORDER BY name";			
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
		$student_count = mysqli_num_rows($result);
		
		//get the teacher(s) for this class 
		$query2 = "SELECT id, name, studentid, dir_number FROM $table_users u
					LEFT JOIN $table_studentpages s ON s.dir_number = u.id
					WHERE invisible = 0 AND (class= '$class_id' OR class like '$class_id,%' OR class like '%,$class_id,%' OR class like '%,$class_id') AND (type = 2 OR type = 22) 
					AND (pcheck = 0 OR pcheck = 2) GROUP BY name ORDER BY name";

		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query2 . '".',E_USER_WARNING); 
		$teacher_count = mysqli_num_rows($result2);
		
		if(($teacher_count == 0) AND ($student_count == 0))	//no teachers no students
		{
			print "<span class=\"sas_module_error\">" . $sas_lang['empty_list'] . "</span><p>"  ;
			
			if($show_link == 1)	//we only display a back link if we are coming from pupilpages overview.
			{
				print "<a href=\"index.php?section=$section&amp;page=$page\" class=\"sas_module_link\"><< " . $sas_lang['goback'] . ">></a>";
			}
			return;
		}
		
		print "<table class=\"sas_module_table\">";
		print "<tr><td align=\"center\"><span class=\"sas_module_title\">$class_name</span><br /><span class=\"sas_module_subtitle\">";
		$teacher_id_found = 0 ;
		if($teacher_count > 0)
		{	
			$i = 1 ;
			//get the teachers for this class		
			while ($teacher_list = mysqli_fetch_array($result2)) //list the teacher(s)
			{
				if(($teacher_id_found == 0) AND (!IsSet($teacher_page_id))) //get the first teacher page id
				{
					$dir_number = $teacher_list[3];
					$query4 = "SELECT studentid, content FROM $table_studentpages WHERE dir_number = '$dir_number' AND (pcheck = 0 OR pcheck = 2) ORDER BY sort";
					$result4 = mysqli_query($db,$query4) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query4 . '".',E_USER_WARNING); 
					$content = mysqli_result($result4, 0, 'content');
				}
				if ($content != "")	//if the content is not empty
				{
					$teacher_page_id = mysqli_result($result4, 0, 'studentid');
					$teacher_id_found = 1 ;
				}
				print $teacher_list[1];	//print the teachers name
				
				$teacher_id[$i] = $teacher_list[0];
				if($i < $teacher_count)
				{
					print ",&nbsp;";
				}
				$i++;
			}
			
			if(($student_count > 0) OR ($teacher_count > 0)) //if we have students or more than 1 teacher
			{
				print "</span></td></tr>\n";
				print "<tr>";
			}
			if((intval($_GET['show_pupils']) != "1") AND ($show_teacherpage == 1) AND ($student_count > 0))
			{
				print "<td align=\"center\"><a href=\"index.php?section=$section&amp;page=$page&amp;class_id=$class_id&amp;show_pupils=1\">".$sas_lang['show_pupil_pages']."</td></tr>";
			}
			
			print "<tr><td><table><tr>" ;
			//get the teacher(s) pages if they exist
			foreach($teacher_id as $value)
			{
				$query3 = "SELECT studentid, title, dir_number, sort FROM $table_studentpages 
							 WHERE dir_number = '$value' AND content != '' AND invisible = '0' AND (pcheck = 0 OR pcheck = 2) ORDER BY sort";

				$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query3 . '".',E_USER_WARNING); 
				$num_rows = mysqli_num_rows($result3);
	
				if ($num_rows > 0)	//do we have teacher pages with content.
				{
					while ($page_list = mysqli_fetch_array($result3))	//loop through the pages an put them in arrays
					{
						$list_of_pages[$page_list[0]] = $page_list[3] ;
						$page_titles[$page_list[0]] = $page_list[1] ;
					}
					asort($list_of_pages);	//sort the array of pages
				}
				else
				{
					print "<td>&nbsp;</td>"; //empty teacher block
				}
				
			}
			if(count($list_of_pages) > 0)
			{
				foreach($list_of_pages as $key => $value)
				{
					if(($student_count == 0) AND ($teacher_count > 0))
					{
						//special condition if we have no students, we need different links
						if($teacher_page_id == $page_list[0])
						{
							print "<td>[$page_titles[$key]]</td><td>&nbsp;</td>\n";
						}
						else
						{
							print "<td><a href=\"index.php?section=$section&amp;page=$page&amp;teacher_page_id=$key&amp;class_id=$class_id\" class=\"sas_module_link\">[$page_titles[$key]]</a></td><td>&nbsp;</td>\n";
						}
					}
					else
					{
						print "<td><a href=\"index.php?section=$section&amp;page=$page&amp;page_id=$key&amp;class_id=$class_id\" class=\"sas_module_link\">[$page_titles[$key]]</a></td><td>&nbsp;</td>\n";
					}
				}
			}
			print "</tr></table></td></tr>";
		}

			
		print "<tr><td><hr></td></tr>";
		
		print "<tr><td height=\"350\" valign=\"top\"><table>";
		
		if(intval($_GET['show_pupils']) == "1")
		{
			$show_teacherpage = 0;
		}

		if(($student_count > 0) AND ($show_teacherpage == "0"))
		{
			while ($student_list = mysqli_fetch_array($result)) //list the students
			{
				$query3 = "SELECT studentid, title, dir_number FROM $table_studentpages 
							 WHERE dir_number = '$student_list[0]' AND content != '' AND invisible = '0' ORDER BY sort";
				$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query3 . '".',E_USER_WARNING); 
				$num_rows = mysqli_num_rows($result3);
	
				if ($num_rows > 0)
				{
					print "<tr><td><span class=\"sas_module_lbl1\">$student_list[1]</span></td><td>&nbsp;</td>\n";
					
					while ($page_list = mysqli_fetch_array($result3))
					{
						print "<td><a href=\"index.php?section=$section&amp;page=$page&amp;page_id=$page_list[0]&amp;class_id=$class_id\" class=\"sas_module_link\">[$page_list[1]]</a></td><td>&nbsp;</td>\n";
					}
				}
				print "</tr>";
			}
		}
		else
		{
			//if there are no students we display the content of the first page or the selected page via teacher_page_id
			$query3 = "SELECT content FROM $table_studentpages WHERE studentid = '$teacher_page_id' LIMIT 1";
			$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query3 . '".',E_USER_WARNING); 
			$num_rows = mysqli_num_rows($result3);

			if ($num_rows > 0)
			{
				$content = mysqli_result($result3, 0, 'content');
				print "<tr><td height=\"350\" valign=\"top\"><span class=\"sas_module_text\">". $content . "</span></td></tr>";
			}
		}

		print "</table></td></tr>";
		
		if($show_link == 1)	//we only display a back link if we are coming from pupilpages overview.
		{
			print "<tr><td align=\"right\"><a href=\"index.php?section=$section&amp;page=$page\" class=\"sas_module_link\"><< " . $sas_lang['goback'] . ">></a></td></tr>";
		}
		print "</table>";
	}
	
}
?>